[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# DupeString

Creates and concatenates N copies of a string

## Declaration

Source position: strutils.pp line 52

`function DupeString(`
`const AText: string;`
`ACount: Integer`
`):string;`

## Arguments

`AText` |  | String to duplicate
`ACount` |  | Number of copies to create

## Function result

Copies of the original string.

## Description

DupeString returns a string consisting of ACount concatenations of AText. Thus

    DupeString('1234567890',3);

will produce a string

    '123456789012345678901234567890'

## Errors

None.

Documentation generated on: Feb 26 2014